#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Small system to administer web accounts across the KDE desktop
Name:           kaccounts-integration
Version: 20.12.0
%define 	subrel 1
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/applications/internet/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5AkonadiMime)

BuildRequires:  pkgconfig(libsignon-qt5)
BuildRequires:  pkgconfig(accounts-qt5)

# add some required packages,
# see mga#17528#c83
Requires:       signon-plugin-oauth2
Requires:       signon-kwallet-extension
# see mga#25441#c9
Requires:       signond
Requires: 	kaccounts-providers
Requires:       accounts-qml-module


%description
Small system to administer web accounts across the KDE desktop.

%files -f %name.lang
%_qt5_plugindir/kcms/kcm_kaccounts.so
%_kf5_plugindir/kded/kded_accounts.so
%_qt5_plugindir/kaccounts/daemonplugins/kaccounts_kio_webdav_plugin.so
%_kf5_qmldir/org/kde/kaccounts
%_kf5_services/kcm_kaccounts.desktop
%_kf5_datadir/kpackage/kcms/kcm_kaccounts/

#--------------------------------------------------------------------

%define kaccounts_major 2
%define libkaccounts %mklibname kaccounts %{kaccounts_major}

%package -n %libkaccounts
Summary:        Small system to administer web accounts across the KDE desktop
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

Obsoletes:      %{_lib}kaccounts18 < 18.12.3-3
Conflicts:      %{_lib}kaccounts16 < 17.12.0

%description -n %libkaccounts
Small system to administer web accounts across the KDE desktop.

%files -n %libkaccounts
%_kf5_libdir/libkaccounts.so.%{kaccounts_major}{,.*}
%_kf5_libdir/libkaccounts.so.%{version}

#--------------------------------------------------------------------

%define kaccounts_devel %mklibname kaccounts -d

%package -n %kaccounts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkaccounts = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kaccounts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaccounts_devel
%_includedir/KAccounts/
%_kf5_libdir/cmake/KAccounts/
%_kf5_libdir/libkaccounts.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Fri Jul 16 2021 neoclust <neoclust> 20.12.0-1.1.mga8
+ Revision: 1736218
- Add kaccounts-providers as minimal require, if we want to have acces to some provides ( and have this too useful)

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655549
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643935
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633741
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626993
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1616407
- New version 20.08.0

* Sat Jul 11 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1605094
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596789
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584440
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569261
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559261
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-3.mga8
+ Revision: 1540627
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 19.12.2-2.mga8
+ Revision: 1532263
- depends on accounts-qml-module

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513231
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1468031
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457835
- New version 19.08.3

* Sun Oct 06 2019 daviddavid <daviddavid> 19.08.1-2.mga8
+ Revision: 1449890
- add missing dependency on signond (mga#25441)

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446341
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424928
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390383
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389038
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381966
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375467
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365502
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356438
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339451
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332682
- New version 18.08.3
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298413
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240844
- New version 18.04.1

* Sat Mar 24 2018 neoclust <neoclust> 17.12.2-2.mga7
+ Revision: 1211786
- Add conflict to ease upgrade

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201832
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194856
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186393
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142977
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136713
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-3.mga7
+ Revision: 1133480
- Fix for new find_lang
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130879
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090013
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076748
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071963
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067281
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061340
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050607
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047235
- New version 16.08.0

* Fri Jul 15 2016 daviddavid <daviddavid> 16.04.3-2.mga6
+ Revision: 1042224
- requires signon-kwallet-extension and signon-plugin-oauth2 (fixes mga#17528#c83)

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040002
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012492
- New version 16.04.1

* Sun May 01 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1008444
- New version 16.04.0
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991132
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987400
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922570
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911903
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905365
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901101
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 891119
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880394
- New version 15.08.1

* Thu Aug 27 2015 neoclust <neoclust> 15.08.0-2.mga6
+ Revision: 870329
- Remove wrong patch

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865912
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863928
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861725
- New version 15.07.90

* Fri Jul 31 2015 wally <wally> 15.07.80-2.mga6
+ Revision: 860144
- add patch to fix paths in CMake files

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859328
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-2.mga6
+ Revision: 855266
- Rebuild with correct name

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855253
- imported package kaccounts-integration

